<?php
define('SABLE_THEME_CSS_LOCATION', 	SABLE_THEME_ROOT.'css/');	
define('SABLE_THEME_JS_LOCATION', 	SABLE_THEME_ROOT.'js/');
define('SABLE_THEME_IMAGES_PATH', 	SABLE_THEME_ROOT.'img/');
define('SABLE_THEME_EMAIL_STYLE', 	SABLE_THEME_WORKING_PATH.'includes/email_style.html');

define('SABLE_SITE_LOGO', 			SABLE_THEME_IMAGES_PATH.'logos/logo_lg.png');
define('SABLE_OG_LOGO', 			SABLE_URL_ROOT.'media/images/ogLogo.jpg');

if (SABLE_DEMO_SYSTEM)
	{define('SABLE_SITE_TITLE', 			'*** Test Site ***');}
else
	{define('SABLE_SITE_TITLE', 			'Champooches Pet Services');}

define('SABLE_SITE_SHORT_DESC',		'Champooches Pet Services');
define('SABLE_SITE_LONG_DESC',		'Champooches Pet Services');
define('SABLE_TIMEOUT',				600); //value in minutes before timeout due to inactivity.
define('SABLE_HOME_PATH',			SABLE_THEME_WORKING_PATH.'dashboard/index.php');
define('SABLE_BUILD_ARGV_ARGC',		true); //some PHP configs don't do this for argv[argc][x]
define('SABLE_BASE_PATH', 			isset($_SESSION['site'])?$_SESSION['site']['site_base']:SABLE_WORKING_PATH);

/** Security Access Level Constants **/
define('SABLE_ACCESS_SUPER',	99);
define('SABLE_ACCESS_ADMIN', 	20);
define('SABLE_ACCESS_MANAGER', 	9);
define('SABLE_ACCESS_CLERK', 	5);
define('SABLE_ACCESS_USER', 	3);

/** Google Maps (and other API's) require an API key that is to be specified with any Google API calls .
	Go to google developer console (https://developers.google.com), create a new project and get the key - then add it here:
**/
define("GOOGLE_API_KEY",			"AIzaSyChv0BzRbj1yNMn2OeKvMojXRBnNgF3K6A");
define("GOOGLE_API_WEB_SERVER_KEY", "AIzaSyCwtL0okXCexi0er1kOCvUqMAJ4rmz7izQ");
define("GOOGLE_COMPANY_NAME",		"Champooches");

define("IDEAL_POSTAL_API_KEY", "ak_lvto5t4duqfMMzn3TYTHguQMSa0Hd");
define("IDEAL_POSTAL_API_WEB_SERVER_KEY", "");
define("IDEAL_POSTAL_COMPANY_NAME",	"Champooches");

/*** Files to be linked in the <HEAD> tags 
<!-- icon in the highest resolution we need it for -->
<link rel="icon" sizes="192x192" href="icon.png">

<!-- reuse same icon for Safari -->
<link rel="apple-touch-icon" href="ios-icon.png">

<!-- multiple icons for IE -->
<meta name="msapplication-square310x310logo" content="icon_largetile.png">
***/	
/*--- Icon files ---*/
$icons		= [];
$icons[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_IMAGES_PATH.'favicon.png', 'rel' => 'shortcut icon'));
$icons[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_IMAGES_PATH.'apple_touch_logo.png', 'rel' => 'icon'));
$icons[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_IMAGES_PATH.'favicon.png', 'rel' => 'apple-touch-icon'));

define('SABLE_THEME_ICONS',	serialize($icons));

/*--- CSS files ---*/
$css	= [];
$css[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'vendors/animate/animate.css', 		'rel' => 'stylesheet'));
$css[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'main.css','rel' => 'stylesheet'));
$css[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'custom.css','rel' => 'stylesheet'));

//Sable Specific Styling			
$css[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'sable.css?v='.SABLE_VERSION, 		'rel' => 'stylesheet'));
$css[]	= array('cond' => 2, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'dashboard.css?v='.SABLE_VERSION, 	'rel' => 'stylesheet'));
$css[]	= array('cond' => 2, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'sable_tabs.css?v='.SABLE_VERSION,	'rel' => 'stylesheet'));
$css[]	= array('cond' => 2, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'print.min.css',	'rel' => 'stylesheet'));
{
	$css[]	= array('cond' => 2, 'tag' => 'link', 'cont' => array('href' => SABLE_THEME_CSS_LOCATION.'signature-pad.css',
																'rel' => 'stylesheet'));
}

define('SABLE_THEME_STYLES', serialize($css));	

/*--- TOP JS files ---*/
$topjs = [];
//$topjs[] = array('cond' => 1, 'tag' => 'script', 'cont' => array('src' => SABLE_URL_ROOT.'email_list/email_list.js'));
define('SABLE_THEME_TOP_JS', serialize($topjs));	
		
/*--- BOTTOM JS files ---*/
$botjs = [];
$botjs[] = array('cond' => 0, 'tag' => 'script', 'cont' => array('src' => SABLE_URL_ROOT.'scripts/'.BOOTSTRAP_VERSION.'bootstrap.min.js'));
$botjs[] = array('cond' => 0, 'tag' => 'script', 'cont' => array('src' => SABLE_THEME_JS_LOCATION.'vendors/wow/wow.min.js'));
$botjs[] = array('cond' => 0, 'tag' => 'script', 'cont' => array('src' => SABLE_THEME_JS_LOCATION.'jquery.slimscroll.min.js'));
$botjs[] = array('cond' => 0, 'tag' => 'script', 'cont' => array('src' => SABLE_THEME_JS_LOCATION.'jquery.metisMenu.js'));
$botjs[] = array('cond' => 0, 'tag' => 'script', 'cont' => array('src' => SABLE_THEME_JS_LOCATION.'navAdmin.js'));
$botjs[] = array('cond' => 0, 'tag' => 'script', 'cont' => array('src' => SABLE_THEME_JS_LOCATION.'vendors/waypoint/waypoints.min.js'));
$botjs[] = array('cond' => 0, 'tag' => 'script', 'cont' => array('src' => SABLE_THEME_JS_LOCATION.'jquery.main.js'));
$botjs[] = array('cond' => 1, 'tag' => 'script', 'cont' => array('src' => SABLE_URL_ROOT.'scripts/sable_install.js'));

define('SABLE_THEME_BOTTOM_JS',	serialize($botjs));		
																									
/*** Site Key Words ***/
define('SABLE_META_KEYWORDS','truck, assist, repairs');

/*** Site Meta Tags 
<meta name="msapplication-square310x310logo" content="icon_largetile.png">
<meta http-equiv="content-type" content="text-html; charset=utf-8">
***/
$head	= [];
$head[]	= array('cond' => 0, 'tag' => 'meta', 'cont' => array('name' => 'msapplication-square310x310logo', 'content' => 'msapp_logo.png'));
$head[]	= array('cond' => 0, 'tag' => 'meta', 'cont' => array('name' => 'theme-color', 'content' => '#111414'));
$head[]	= array('cond' => 0, 'tag' => 'meta', 'cont' => array('http-equiv' => 'Content-Type',  'content' => 'text/html; charset=utf-8'));
$head[]	= array('cond' => 0, 'tag' => 'meta', 'cont' => array('name' => 'viewport', 'content' => 'width=device-width, initial-scale=1, maximum-scale=5'));
$head[]	= array('cond' => 0, 'tag' => 'meta', 'cont' => array('name' => 'mobile-web-app-capable', 'content' => 'yes'));
$head[]	= array('cond' => 0, 'tag' => 'meta', 'cont' => array('name' => 'description', 'content' => SABLE_SITE_SHORT_DESC));
$head[]	= array('cond' => 0, 'tag' => 'meta', 'cont' => array('name' => 'keywords', 'content' => SABLE_META_KEYWORDS));

$head[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('rel' => 'alternate', 'href' => SABLE_SITE_URL, 'hreflang' => 'en-za'));
$head[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('rel' => 'alternate', 'href' => SABLE_SITE_URL, 'hreflang' => 'af'));
$head[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('rel' => 'manifest',  'href' => '/manifest.json'));
$head[]	= array('cond' => 0, 'tag' => 'link', 'cont' => array('rel' => 'canonical', 'href' => SABLE_SITE_URL));
define("SABLE_HEAD_TAGS", serialize($head));
	
/*** Site Open Graph Tags ***/
$og	= [];
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'og:title',			'content' => SABLE_SITE_TITLE));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'og:type',			'content' => 'website'));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'og:locale',		'content' => 'en_ZA'));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'og:url',			'content' => SABLE_SITE_URL));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'og:image',			'content' => SABLE_IMAGES_PATH.'og_logo.jpg'));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'og:description', 	'content' => SABLE_SITE_LONG_DESC));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'twitter:card',		'content' => 'summary'));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'twitter:title',	'content' => SABLE_SITE_TITLE));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'twitter:url',		'content' => SABLE_SITE_URL));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'twitter:image',	'content' => SABLE_IMAGES_PATH.'og_logo.jpg'));
$og[]	= array('cond' => 1, 'tag' => 'meta', 'cont' => array('property' => 'twitter:description','content' => SABLE_SITE_LONG_DESC));
define("SABLE_OG_TAGS", serialize($og));
	
/** 
----------------------------
	ANALYTICS 
----------------------------	
**/
//** Google Analytics **//
define("GOOGLE_ANALYTICS_ENABLED", true && (!SABLE_DEMO_SYSTEM));
define("GOOGLE_ANALYTICS_CODE", "");

//** FaceBook Tracking **//
define("FACEBOOK_ANALYTICS_ENABLED", true && (!SABLE_DEMO_SYSTEM));
define("FACEBOOK_PIXEL_ID", "");	

//** ShareThis Sharing & Tracking **//
define("SHARETHIS_ENABLED", false && (!SABLE_DEMO_SYSTEM));
define("SHARETHIS_PUBLISHER_ID", "");

/** 
----------------------------
	CUSTOMER / COMPANY SPECIFIC 
----------------------------	
**/
define("COMPANY_ID", 1);
define("SABLE_BODY_TAGS", "");